如何解决Androidstudio导入错误?

内容来源于 Stack Overflow,并遵循CC BY-SA 3.0许可协议进行翻译与使用

  • 回答 (1)
  • 关注 (0)
  • 查看 (5590)

第一个错误:

error: failed linking references. WARNING: Configuration 'compile' is obsolete and has been replaced with 'implementation' and 'api'.

第二个错误:

error: resource android:attr/preserveIconSpacing is private. Message{kind=ERROR, text=error: resource android:attr/preserveIconSpacing is private., sources=[C:\Users\brandon\.gradle\caches\transforms-1\files-1.1\appcompat-v7-20.0.0.aar\ac7b544b5ec296b3c8dc409da17210bc\res\values\values.xml:818:5-62], original message=, tool name=Optional.of(AAPT)}

//noinspection GradleCompatible
implementation "com.android.support:appcompat-v7:${appcompat_library_version}"
implementation "com.android.support:support-v4:${support_library_version}"
implementation "com.google.android.gms:play-services-games:${gms_library_version}"
implementation "com.google.android.gms:play-services-plus:${gms_library_version}"

在BaseGameUtils\build.gradle中更改了这段代码

提问于
用户回答回答于

从所有模块build.gradle文件中替换compileentation

扫码关注云+社区

领取腾讯云代金券